> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post resourcessystembulk import resource

> Bulk Resource Import



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /resources/system/bulk-import-resource
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /resources/system/bulk-import-resource:
    post:
      tags:
        - ResourceService
      description: Bulk Resource Import
      operationId: bulkImportResource
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  resource:
                    discriminator: ...
                    sysidResourceStatus: 12345
                    maxFutureReservationDays: 12345
                    inactiveBlocks:
                      - aqStartTime: {}
                        sysidInactiveBlock: 12345
                        aqEndTime: {}
                      - aqStartTime: {}
                        sysidInactiveBlock: 12345
                        aqEndTime: {}
                    cancelLeadTimeMinutes: 12345
                    comments: ...
                    sysidDepartment: 12345
                    name: ...
                    setupMinutes: 12345
                    shortTermMinutes: 12345
                    resourceNotifications:
                      - sendOnReserved: true
                        sysidResourceNotifications: 12345
                        sysidApplicationUser: 12345
                        sendOnRequest: true
                        notifyUser: {}
                      - sendOnReserved: true
                        sysidResourceNotifications: 12345
                        sysidApplicationUser: 12345
                        sendOnRequest: true
                        notifyUser: {}
                    description: ...
                    sysidResourcePricings: 12345
                    sysidAccountResource: 12345
                    breakDownMinutes: 12345
                    locations:
                      - sysidVenueNode: 12345
                        sysidLocation: 12345
                        sysidLocatorNode: 12345
                      - sysidVenueNode: 12345
                        sysidLocation: 12345
                        sysidLocatorNode: 12345
                    images:
                      - height: 12345
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        name: ...
                        defaultImage: true
                        sysidResourceImage: 12345
                        width: 12345
                        description: ...
                      - height: 12345
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        name: ...
                        defaultImage: true
                        sysidResourceImage: 12345
                        width: 12345
                        description: ...
                    minChargeCodesRequired: 12345
                    sysidResource: 12345
                    originalResource: true
                    sysidChargeCodeType: 12345
                    sysidResourceType: 12345
                    pricings:
                      aqActiveDate: {}
                      sysidResource: 12345
                      sysidResourcePricings: 12345
                      pricings:
                        - {}
                        - {}
                    publiclyViewable: true
                    sysidAccount: 12345
                    resourceSchedules:
                      - expirationAqDate: {}
                        sysidResourceSchedule: 12345
                        timeZone: {}
                        name: ...
                        activationAqDate: {}
                        defaultSchedule: true
                        scheduleDays:
                          - {}
                          - {}
                      - expirationAqDate: {}
                        sysidResourceSchedule: 12345
                        timeZone: {}
                        name: ...
                        activationAqDate: {}
                        defaultSchedule: true
                        scheduleDays:
                          - {}
                          - {}
                    leadTimeMinutes: 12345
                    category:
                      discriminator: ...
                      name: ...
                      iconPropKey: ...
                      sysidCategory: 12345
                      languageTagKey: ...
                      allowMultiDay: true
                    resourceAttributeValues:
                      - numberValue: 12345
                        sysidResourceAttributeValue: 12345
                        sysidAttributeDataType: 12345
                        sysidResourceAttribute: 12345
                        aqDateTimeValue: {}
                        stringValue: ...
                        booleanValue: true
                      - numberValue: 12345
                        sysidResourceAttributeValue: 12345
                        sysidAttributeDataType: 12345
                        sysidResourceAttribute: 12345
                        aqDateTimeValue: {}
                        stringValue: ...
                        booleanValue: true
                    maxDurationMinutes: 12345
                    forums:
                      - sysidForum: 12345
                      - sysidForum: 12345
                    approvalFlows:
                      - sysidResourceApproval: 12345
                        approvalFlow: {}
                        sysidApprovalFlow: 12345
                        sysidResource: 12345
                      - sysidResourceApproval: 12345
                        approvalFlow: {}
                        sysidApprovalFlow: 12345
                        sysidResource: 12345
                    minDurationMinutes: 12345
                    sysidCategory: 12345
                    shortTermNotification: true
                  resourceGroupSysids:
                    - 12345
                    - 12345
            schema:
              $ref: '#/components/schemas/CreateResourceInput'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    discriminator: ...
                    sysidResourceStatus: 12345
                    maxFutureReservationDays: 12345
                    inactiveBlocks:
                      - aqStartTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidInactiveBlock: 12345
                        aqEndTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                      - aqStartTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidInactiveBlock: 12345
                        aqEndTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                    cancelLeadTimeMinutes: 12345
                    comments: ...
                    sysidDepartment: 12345
                    name: ...
                    setupMinutes: 12345
                    shortTermMinutes: 12345
                    resourceNotifications:
                      - sendOnReserved: true
                        sysidResourceNotifications: 12345
                        sysidApplicationUser: 12345
                        sendOnRequest: true
                        notifyUser:
                          privateProfile: true
                          lastName: ...
                          city: ...
                          postalCode: ...
                          middleInitial: ...
                          country: ...
                          roleName: ...
                          address1: ...
                          mobilePhone: ...
                          sysidUser: 12345
                          stateProvince: ...
                          department: ...
                          workPhone: ...
                          sysidStatus: 12345
                          images:
                            - {}
                            - {}
                          sysidHomeLocation: 12345
                          sysidLanguage: 12345
                          emailAddress: ...
                          firstName: ...
                          originalUser: true
                          locationName: ...
                          address2: ...
                          accountLocked: true
                          statusMessage: ...
                          title: ...
                      - sendOnReserved: true
                        sysidResourceNotifications: 12345
                        sysidApplicationUser: 12345
                        sendOnRequest: true
                        notifyUser:
                          privateProfile: true
                          lastName: ...
                          city: ...
                          postalCode: ...
                          middleInitial: ...
                          country: ...
                          roleName: ...
                          address1: ...
                          mobilePhone: ...
                          sysidUser: 12345
                          stateProvince: ...
                          department: ...
                          workPhone: ...
                          sysidStatus: 12345
                          images:
                            - {}
                            - {}
                          sysidHomeLocation: 12345
                          sysidLanguage: 12345
                          emailAddress: ...
                          firstName: ...
                          originalUser: true
                          locationName: ...
                          address2: ...
                          accountLocked: true
                          statusMessage: ...
                          title: ...
                    description: ...
                    sysidResourcePricings: 12345
                    sysidAccountResource: 12345
                    breakDownMinutes: 12345
                    locations:
                      - sysidVenueNode: 12345
                        sysidLocation: 12345
                        sysidLocatorNode: 12345
                      - sysidVenueNode: 12345
                        sysidLocation: 12345
                        sysidLocatorNode: 12345
                    images:
                      - height: 12345
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        name: ...
                        defaultImage: true
                        sysidResourceImage: 12345
                        width: 12345
                        description: ...
                      - height: 12345
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        name: ...
                        defaultImage: true
                        sysidResourceImage: 12345
                        width: 12345
                        description: ...
                    minChargeCodesRequired: 12345
                    sysidResource: 12345
                    originalResource: true
                    sysidChargeCodeType: 12345
                    sysidResourceType: 12345
                    pricings:
                      aqActiveDate:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidResource: 12345
                      sysidResourcePricings: 12345
                      pricings:
                        - sysidCurrencyType: 12345
                          defaultPrice: true
                          sysidResourcePricing: 12345
                          sysidCostUnitType: 12345
                          cost: 12345
                        - sysidCurrencyType: 12345
                          defaultPrice: true
                          sysidResourcePricing: 12345
                          sysidCostUnitType: 12345
                          cost: 12345
                    publiclyViewable: true
                    sysidAccount: 12345
                    resourceSchedules:
                      - expirationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidResourceSchedule: 12345
                        timeZone:
                          default: {}
                          ID: ...
                          availableIDs:
                            - ...
                            - ...
                          rawOffset: 12345
                          displayName: ...
                          DSTSavings: 12345
                        name: ...
                        activationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        defaultSchedule: true
                        scheduleDays:
                          - openMinutesFromMidnight: 12345
                            closedMinutesFromMidnight: 12345
                            open24Hours: true
                            sysidResourceScheduleDay: 12345
                            open: true
                            weekDay: 12345
                          - openMinutesFromMidnight: 12345
                            closedMinutesFromMidnight: 12345
                            open24Hours: true
                            sysidResourceScheduleDay: 12345
                            open: true
                            weekDay: 12345
                      - expirationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidResourceSchedule: 12345
                        timeZone:
                          default: {}
                          ID: ...
                          availableIDs:
                            - ...
                            - ...
                          rawOffset: 12345
                          displayName: ...
                          DSTSavings: 12345
                        name: ...
                        activationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        defaultSchedule: true
                        scheduleDays:
                          - openMinutesFromMidnight: 12345
                            closedMinutesFromMidnight: 12345
                            open24Hours: true
                            sysidResourceScheduleDay: 12345
                            open: true
                            weekDay: 12345
                          - openMinutesFromMidnight: 12345
                            closedMinutesFromMidnight: 12345
                            open24Hours: true
                            sysidResourceScheduleDay: 12345
                            open: true
                            weekDay: 12345
                    leadTimeMinutes: 12345
                    category:
                      discriminator: ...
                      name: ...
                      iconPropKey: ...
                      sysidCategory: 12345
                      languageTagKey: ...
                      allowMultiDay: true
                    resourceAttributeValues:
                      - numberValue: 12345
                        sysidResourceAttributeValue: 12345
                        sysidAttributeDataType: 12345
                        sysidResourceAttribute: 12345
                        aqDateTimeValue:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        stringValue: ...
                        booleanValue: true
                      - numberValue: 12345
                        sysidResourceAttributeValue: 12345
                        sysidAttributeDataType: 12345
                        sysidResourceAttribute: 12345
                        aqDateTimeValue:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        stringValue: ...
                        booleanValue: true
                    maxDurationMinutes: 12345
                    forums:
                      - sysidForum: 12345
                      - sysidForum: 12345
                    approvalFlows:
                      - sysidResourceApproval: 12345
                        approvalFlow:
                          name: ...
                          approvalSteps:
                            - {}
                            - {}
                          sysidApprovalFlow: 12345
                          requestorGroups:
                            - {}
                            - {}
                          sysidAccount: 12345
                        sysidApprovalFlow: 12345
                        sysidResource: 12345
                      - sysidResourceApproval: 12345
                        approvalFlow:
                          name: ...
                          approvalSteps:
                            - {}
                            - {}
                          sysidApprovalFlow: 12345
                          requestorGroups:
                            - {}
                            - {}
                          sysidAccount: 12345
                        sysidApprovalFlow: 12345
                        sysidResource: 12345
                    minDurationMinutes: 12345
                    sysidCategory: 12345
                    shortTermNotification: true
              schema:
                $ref: '#/components/schemas/ResourceData'
          description: ResourceData
components:
  schemas:
    CreateResourceInput:
      type: object
      title: CreateResourceInput
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            resource:
              $ref: '#/components/schemas/ResourceData'
            resourceGroupSysids:
              type: array
              items:
                type: integer
      example:
        resource:
          discriminator: ...
          sysidResourceStatus: 12345
          maxFutureReservationDays: 12345
          inactiveBlocks:
            - aqStartTime: {}
              sysidInactiveBlock: 12345
              aqEndTime: {}
            - aqStartTime: {}
              sysidInactiveBlock: 12345
              aqEndTime: {}
          cancelLeadTimeMinutes: 12345
          comments: ...
          sysidDepartment: 12345
          name: ...
          setupMinutes: 12345
          shortTermMinutes: 12345
          resourceNotifications:
            - sendOnReserved: true
              sysidResourceNotifications: 12345
              sysidApplicationUser: 12345
              sendOnRequest: true
              notifyUser: {}
            - sendOnReserved: true
              sysidResourceNotifications: 12345
              sysidApplicationUser: 12345
              sendOnRequest: true
              notifyUser: {}
          description: ...
          sysidResourcePricings: 12345
          sysidAccountResource: 12345
          breakDownMinutes: 12345
          locations:
            - sysidVenueNode: 12345
              sysidLocation: 12345
              sysidLocatorNode: 12345
            - sysidVenueNode: 12345
              sysidLocation: 12345
              sysidLocatorNode: 12345
          images:
            - height: 12345
              thumbnailSource: ...
              imageSource: ...
              displayOrder: 12345
              name: ...
              defaultImage: true
              sysidResourceImage: 12345
              width: 12345
              description: ...
            - height: 12345
              thumbnailSource: ...
              imageSource: ...
              displayOrder: 12345
              name: ...
              defaultImage: true
              sysidResourceImage: 12345
              width: 12345
              description: ...
          minChargeCodesRequired: 12345
          sysidResource: 12345
          originalResource: true
          sysidChargeCodeType: 12345
          sysidResourceType: 12345
          pricings:
            aqActiveDate: {}
            sysidResource: 12345
            sysidResourcePricings: 12345
            pricings:
              - {}
              - {}
          publiclyViewable: true
          sysidAccount: 12345
          resourceSchedules:
            - expirationAqDate: {}
              sysidResourceSchedule: 12345
              timeZone: {}
              name: ...
              activationAqDate: {}
              defaultSchedule: true
              scheduleDays:
                - {}
                - {}
            - expirationAqDate: {}
              sysidResourceSchedule: 12345
              timeZone: {}
              name: ...
              activationAqDate: {}
              defaultSchedule: true
              scheduleDays:
                - {}
                - {}
          leadTimeMinutes: 12345
          category:
            discriminator: ...
            name: ...
            iconPropKey: ...
            sysidCategory: 12345
            languageTagKey: ...
            allowMultiDay: true
          resourceAttributeValues:
            - numberValue: 12345
              sysidResourceAttributeValue: 12345
              sysidAttributeDataType: 12345
              sysidResourceAttribute: 12345
              aqDateTimeValue: {}
              stringValue: ...
              booleanValue: true
            - numberValue: 12345
              sysidResourceAttributeValue: 12345
              sysidAttributeDataType: 12345
              sysidResourceAttribute: 12345
              aqDateTimeValue: {}
              stringValue: ...
              booleanValue: true
          maxDurationMinutes: 12345
          forums:
            - sysidForum: 12345
            - sysidForum: 12345
          approvalFlows:
            - sysidResourceApproval: 12345
              approvalFlow: {}
              sysidApprovalFlow: 12345
              sysidResource: 12345
            - sysidResourceApproval: 12345
              approvalFlow: {}
              sysidApprovalFlow: 12345
              sysidResource: 12345
          minDurationMinutes: 12345
          sysidCategory: 12345
          shortTermNotification: true
        resourceGroupSysids:
          - 12345
          - 12345
    ResourceData:
      discriminator: discriminator
      type: object
      title: ResourceData
      required:
        - sysidResourceStatus
        - maxFutureReservationDays
        - cancelLeadTimeMinutes
        - setupMinutes
        - breakDownMinutes
        - minChargeCodesRequired
        - originalResource
        - sysidChargeCodeType
        - sysidResourceType
        - publiclyViewable
        - sysidAccount
        - leadTimeMinutes
        - sysidCategory
        - shortTermNotification
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            sysidResourceStatus:
              type: integer
              format: int32
            maxFutureReservationDays:
              type: integer
              format: int32
            inactiveBlocks:
              type: array
              items:
                $ref: '#/components/schemas/InactiveBlock'
            cancelLeadTimeMinutes:
              type: integer
              format: int32
            comments:
              type: string
            sysidDepartment:
              type: integer
              format: int32
            name:
              type: string
            setupMinutes:
              type: integer
              format: int32
            shortTermMinutes:
              type: integer
              format: int32
            resourceNotifications:
              type: array
              items:
                $ref: '#/components/schemas/ResourceNotifications'
            description:
              type: string
            sysidResourcePricings:
              type: integer
              format: int32
            sysidAccountResource:
              type: integer
              format: int32
            breakDownMinutes:
              type: integer
              format: int32
            locations:
              type: array
              items:
                $ref: '#/components/schemas/ResourceLocation'
            images:
              type: array
              items:
                $ref: '#/components/schemas/ResourceImage'
            minChargeCodesRequired:
              type: integer
              format: int32
            sysidResource:
              type: integer
              format: int32
            originalResource:
              type: boolean
            sysidChargeCodeType:
              type: integer
              format: int32
            sysidResourceType:
              type: integer
              format: int32
            pricings:
              $ref: '#/components/schemas/ResourcePricings'
            publiclyViewable:
              type: boolean
            sysidAccount:
              type: integer
              format: int32
            resourceSchedules:
              type: array
              items:
                $ref: '#/components/schemas/ResourceSchedule'
            leadTimeMinutes:
              type: integer
              format: int32
            category:
              $ref: '#/components/schemas/ResourceCategory'
            resourceAttributeValues:
              type: array
              items:
                $ref: '#/components/schemas/ResourceAttributeValue'
            maxDurationMinutes:
              type: integer
              format: int32
            forums:
              type: array
              items:
                $ref: '#/components/schemas/ResourceForum'
            approvalFlows:
              type: array
              items:
                $ref: '#/components/schemas/ResourceApproval'
            minDurationMinutes:
              type: integer
              format: int32
            sysidCategory:
              type: integer
              format: int32
            shortTermNotification:
              type: boolean
      example:
        discriminator: ...
        sysidResourceStatus: 12345
        maxFutureReservationDays: 12345
        inactiveBlocks:
          - aqStartTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidInactiveBlock: 12345
            aqEndTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
          - aqStartTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidInactiveBlock: 12345
            aqEndTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
        cancelLeadTimeMinutes: 12345
        comments: ...
        sysidDepartment: 12345
        name: ...
        setupMinutes: 12345
        shortTermMinutes: 12345
        resourceNotifications:
          - sendOnReserved: true
            sysidResourceNotifications: 12345
            sysidApplicationUser: 12345
            sendOnRequest: true
            notifyUser:
              privateProfile: true
              lastName: ...
              city: ...
              postalCode: ...
              middleInitial: ...
              country: ...
              roleName: ...
              address1: ...
              mobilePhone: ...
              sysidUser: 12345
              stateProvince: ...
              department: ...
              workPhone: ...
              sysidStatus: 12345
              images:
                - {}
                - {}
              sysidHomeLocation: 12345
              sysidLanguage: 12345
              emailAddress: ...
              firstName: ...
              originalUser: true
              locationName: ...
              address2: ...
              accountLocked: true
              statusMessage: ...
              title: ...
          - sendOnReserved: true
            sysidResourceNotifications: 12345
            sysidApplicationUser: 12345
            sendOnRequest: true
            notifyUser:
              privateProfile: true
              lastName: ...
              city: ...
              postalCode: ...
              middleInitial: ...
              country: ...
              roleName: ...
              address1: ...
              mobilePhone: ...
              sysidUser: 12345
              stateProvince: ...
              department: ...
              workPhone: ...
              sysidStatus: 12345
              images:
                - {}
                - {}
              sysidHomeLocation: 12345
              sysidLanguage: 12345
              emailAddress: ...
              firstName: ...
              originalUser: true
              locationName: ...
              address2: ...
              accountLocked: true
              statusMessage: ...
              title: ...
        description: ...
        sysidResourcePricings: 12345
        sysidAccountResource: 12345
        breakDownMinutes: 12345
        locations:
          - sysidVenueNode: 12345
            sysidLocation: 12345
            sysidLocatorNode: 12345
          - sysidVenueNode: 12345
            sysidLocation: 12345
            sysidLocatorNode: 12345
        images:
          - height: 12345
            thumbnailSource: ...
            imageSource: ...
            displayOrder: 12345
            name: ...
            defaultImage: true
            sysidResourceImage: 12345
            width: 12345
            description: ...
          - height: 12345
            thumbnailSource: ...
            imageSource: ...
            displayOrder: 12345
            name: ...
            defaultImage: true
            sysidResourceImage: 12345
            width: 12345
            description: ...
        minChargeCodesRequired: 12345
        sysidResource: 12345
        originalResource: true
        sysidChargeCodeType: 12345
        sysidResourceType: 12345
        pricings:
          aqActiveDate:
            discriminator: AqDate
            hour: 12345
            tzIdValue: ...
            year: 12345
            month: 12345
            dayOfMonth: 12345
            minute: 12345
            noEndDate: true
          sysidResource: 12345
          sysidResourcePricings: 12345
          pricings:
            - sysidCurrencyType: 12345
              defaultPrice: true
              sysidResourcePricing: 12345
              sysidCostUnitType: 12345
              cost: 12345
            - sysidCurrencyType: 12345
              defaultPrice: true
              sysidResourcePricing: 12345
              sysidCostUnitType: 12345
              cost: 12345
        publiclyViewable: true
        sysidAccount: 12345
        resourceSchedules:
          - expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidResourceSchedule: 12345
            timeZone:
              default: {}
              ID: ...
              availableIDs:
                - ...
                - ...
              rawOffset: 12345
              displayName: ...
              DSTSavings: 12345
            name: ...
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            defaultSchedule: true
            scheduleDays:
              - openMinutesFromMidnight: 12345
                closedMinutesFromMidnight: 12345
                open24Hours: true
                sysidResourceScheduleDay: 12345
                open: true
                weekDay: 12345
              - openMinutesFromMidnight: 12345
                closedMinutesFromMidnight: 12345
                open24Hours: true
                sysidResourceScheduleDay: 12345
                open: true
                weekDay: 12345
          - expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidResourceSchedule: 12345
            timeZone:
              default: {}
              ID: ...
              availableIDs:
                - ...
                - ...
              rawOffset: 12345
              displayName: ...
              DSTSavings: 12345
            name: ...
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            defaultSchedule: true
            scheduleDays:
              - openMinutesFromMidnight: 12345
                closedMinutesFromMidnight: 12345
                open24Hours: true
                sysidResourceScheduleDay: 12345
                open: true
                weekDay: 12345
              - openMinutesFromMidnight: 12345
                closedMinutesFromMidnight: 12345
                open24Hours: true
                sysidResourceScheduleDay: 12345
                open: true
                weekDay: 12345
        leadTimeMinutes: 12345
        category:
          discriminator: ...
          name: ...
          iconPropKey: ...
          sysidCategory: 12345
          languageTagKey: ...
          allowMultiDay: true
        resourceAttributeValues:
          - numberValue: 12345
            sysidResourceAttributeValue: 12345
            sysidAttributeDataType: 12345
            sysidResourceAttribute: 12345
            aqDateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            stringValue: ...
            booleanValue: true
          - numberValue: 12345
            sysidResourceAttributeValue: 12345
            sysidAttributeDataType: 12345
            sysidResourceAttribute: 12345
            aqDateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            stringValue: ...
            booleanValue: true
        maxDurationMinutes: 12345
        forums:
          - sysidForum: 12345
          - sysidForum: 12345
        approvalFlows:
          - sysidResourceApproval: 12345
            approvalFlow:
              name: ...
              approvalSteps:
                - {}
                - {}
              sysidApprovalFlow: 12345
              requestorGroups:
                - {}
                - {}
              sysidAccount: 12345
            sysidApprovalFlow: 12345
            sysidResource: 12345
          - sysidResourceApproval: 12345
            approvalFlow:
              name: ...
              approvalSteps:
                - {}
                - {}
              sysidApprovalFlow: 12345
              requestorGroups:
                - {}
                - {}
              sysidAccount: 12345
            sysidApprovalFlow: 12345
            sysidResource: 12345
        minDurationMinutes: 12345
        sysidCategory: 12345
        shortTermNotification: true
    DependentData:
      type: object
      title: DependentData
      example: {}
    InactiveBlock:
      type: object
      title: InactiveBlock
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            aqStartTime:
              $ref: '#/components/schemas/AqDate'
            sysidInactiveBlock:
              type: integer
              format: int64
            aqEndTime:
              $ref: '#/components/schemas/AqDate'
      example:
        aqStartTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidInactiveBlock: 12345
        aqEndTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
    ResourceNotifications:
      type: object
      title: ResourceNotifications
      required:
        - sendOnReserved
        - sendOnRequest
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sendOnReserved:
              type: boolean
            sysidResourceNotifications:
              type: integer
              format: int32
            sysidApplicationUser:
              type: integer
              format: int32
            sendOnRequest:
              type: boolean
            notifyUser:
              $ref: '#/components/schemas/UserView'
      example:
        sendOnReserved: true
        sysidResourceNotifications: 12345
        sysidApplicationUser: 12345
        sendOnRequest: true
        notifyUser:
          privateProfile: true
          lastName: ...
          city: ...
          postalCode: ...
          middleInitial: ...
          country: ...
          roleName: ...
          address1: ...
          mobilePhone: ...
          sysidUser: 12345
          stateProvince: ...
          department: ...
          workPhone: ...
          sysidStatus: 12345
          images:
            - sysidUserImage: 12345
              defaultImage: true
              thumbnailSource: ...
              width: 12345
              displayOrder: 12345
              height: 12345
              description: ...
              imageSource: ...
              name: ...
              sysidApplicationUser: 12345
            - sysidUserImage: 12345
              defaultImage: true
              thumbnailSource: ...
              width: 12345
              displayOrder: 12345
              height: 12345
              description: ...
              imageSource: ...
              name: ...
              sysidApplicationUser: 12345
          sysidHomeLocation: 12345
          sysidLanguage: 12345
          emailAddress: ...
          firstName: ...
          originalUser: true
          locationName: ...
          address2: ...
          accountLocked: true
          statusMessage: ...
          title: ...
    ResourceLocation:
      type: object
      title: ResourceLocation
      required:
        - sysidVenueNode
        - sysidLocatorNode
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVenueNode:
              type: integer
              format: int32
            sysidLocation:
              type: integer
              format: int32
            sysidLocatorNode:
              type: integer
              format: int32
      example:
        sysidVenueNode: 12345
        sysidLocation: 12345
        sysidLocatorNode: 12345
    ResourceImage:
      type: object
      title: ResourceImage
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            height:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            imageSource:
              type: string
            displayOrder:
              type: integer
              format: int32
            name:
              type: string
            defaultImage:
              type: boolean
            sysidResourceImage:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            description:
              type: string
      example:
        height: 12345
        thumbnailSource: ...
        imageSource: ...
        displayOrder: 12345
        name: ...
        defaultImage: true
        sysidResourceImage: 12345
        width: 12345
        description: ...
    ResourcePricings:
      type: object
      title: ResourcePricings
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            aqActiveDate:
              $ref: '#/components/schemas/AqDate'
            sysidResource:
              type: integer
              format: int32
            sysidResourcePricings:
              type: integer
              format: int32
            pricings:
              type: array
              items:
                $ref: '#/components/schemas/ResourcePricing'
      example:
        aqActiveDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidResource: 12345
        sysidResourcePricings: 12345
        pricings:
          - sysidCurrencyType: 12345
            defaultPrice: true
            sysidResourcePricing: 12345
            sysidCostUnitType: 12345
            cost: 12345
          - sysidCurrencyType: 12345
            defaultPrice: true
            sysidResourcePricing: 12345
            sysidCostUnitType: 12345
            cost: 12345
    ResourceSchedule:
      type: object
      title: ResourceSchedule
      required:
        - defaultSchedule
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            expirationAqDate:
              $ref: '#/components/schemas/AqDate'
            sysidResourceSchedule:
              type: integer
              format: int32
            timeZone:
              $ref: '#/components/schemas/TimeZone'
            name:
              type: string
            activationAqDate:
              $ref: '#/components/schemas/AqDate'
            defaultSchedule:
              type: boolean
            scheduleDays:
              type: array
              items:
                $ref: '#/components/schemas/ResourceScheduleDay'
      example:
        expirationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidResourceSchedule: 12345
        timeZone:
          default: {}
          ID: ...
          availableIDs:
            - ...
            - ...
          rawOffset: 12345
          displayName: ...
          DSTSavings: 12345
        name: ...
        activationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        defaultSchedule: true
        scheduleDays:
          - openMinutesFromMidnight: 12345
            closedMinutesFromMidnight: 12345
            open24Hours: true
            sysidResourceScheduleDay: 12345
            open: true
            weekDay: 12345
          - openMinutesFromMidnight: 12345
            closedMinutesFromMidnight: 12345
            open24Hours: true
            sysidResourceScheduleDay: 12345
            open: true
            weekDay: 12345
    ResourceCategory:
      discriminator: discriminator
      type: object
      title: ResourceCategory
      required:
        - allowMultiDay
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            name:
              type: string
            iconPropKey:
              type: string
            sysidCategory:
              type: integer
              format: int32
            languageTagKey:
              type: string
            allowMultiDay:
              type: boolean
      example:
        discriminator: ...
        name: ...
        iconPropKey: ...
        sysidCategory: 12345
        languageTagKey: ...
        allowMultiDay: true
    ResourceAttributeValue:
      type: object
      title: ResourceAttributeValue
      required:
        - sysidAttributeDataType
        - sysidResourceAttribute
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            numberValue:
              type: integer
              format: int64
            sysidResourceAttributeValue:
              type: integer
              format: int32
            sysidAttributeDataType:
              type: integer
              format: int32
            sysidResourceAttribute:
              type: integer
              format: int32
            aqDateTimeValue:
              $ref: '#/components/schemas/AqDate'
            stringValue:
              type: string
            booleanValue:
              type: boolean
      example:
        numberValue: 12345
        sysidResourceAttributeValue: 12345
        sysidAttributeDataType: 12345
        sysidResourceAttribute: 12345
        aqDateTimeValue:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        stringValue: ...
        booleanValue: true
    ResourceForum:
      type: object
      title: ResourceForum
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidForum:
              type: integer
              format: int32
      example:
        sysidForum: 12345
    ResourceApproval:
      type: object
      title: ResourceApproval
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidResourceApproval:
              type: integer
              format: int32
            approvalFlow:
              $ref: '#/components/schemas/ApprovalFlow'
            sysidApprovalFlow:
              type: integer
              format: int32
            sysidResource:
              type: integer
              format: int32
      example:
        sysidResourceApproval: 12345
        approvalFlow:
          name: ...
          approvalSteps:
            - sysidApproverGroup: 12345
              sysidApprovalStep: 12345
              approverGroup: {}
              approveOrder: 12345
            - sysidApproverGroup: 12345
              sysidApprovalStep: 12345
              approverGroup: {}
              approveOrder: 12345
          sysidApprovalFlow: 12345
          requestorGroups:
            - userGroup: {}
              sysidUserGroup: 12345
              sysidFlowRequestorGroup: 12345
            - userGroup: {}
              sysidUserGroup: 12345
              sysidFlowRequestorGroup: 12345
          sysidAccount: 12345
        sysidApprovalFlow: 12345
        sysidResource: 12345
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    UserView:
      type: object
      title: UserView
      required:
        - privateProfile
        - sysidUser
        - sysidLanguage
        - originalUser
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            privateProfile:
              type: boolean
            lastName:
              type: string
            city:
              type: string
            postalCode:
              type: string
            middleInitial:
              type: string
            country:
              type: string
            roleName:
              type: string
            address1:
              type: string
            mobilePhone:
              type: string
            sysidUser:
              type: integer
              format: int32
            stateProvince:
              type: string
            department:
              type: string
            workPhone:
              type: string
            sysidStatus:
              type: integer
              format: int32
            images:
              type: array
              items:
                $ref: '#/components/schemas/UserImageData'
            sysidHomeLocation:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
            emailAddress:
              type: string
            firstName:
              type: string
            originalUser:
              type: boolean
            locationName:
              type: string
            address2:
              type: string
            accountLocked:
              type: boolean
            statusMessage:
              type: string
            title:
              type: string
      example:
        privateProfile: true
        lastName: ...
        city: ...
        postalCode: ...
        middleInitial: ...
        country: ...
        roleName: ...
        address1: ...
        mobilePhone: ...
        sysidUser: 12345
        stateProvince: ...
        department: ...
        workPhone: ...
        sysidStatus: 12345
        images:
          - sysidUserImage: 12345
            defaultImage: true
            thumbnailSource: ...
            width: 12345
            displayOrder: 12345
            height: 12345
            description: ...
            imageSource: ...
            name: ...
            sysidApplicationUser: 12345
          - sysidUserImage: 12345
            defaultImage: true
            thumbnailSource: ...
            width: 12345
            displayOrder: 12345
            height: 12345
            description: ...
            imageSource: ...
            name: ...
            sysidApplicationUser: 12345
        sysidHomeLocation: 12345
        sysidLanguage: 12345
        emailAddress: ...
        firstName: ...
        originalUser: true
        locationName: ...
        address2: ...
        accountLocked: true
        statusMessage: ...
        title: ...
    ResourcePricing:
      type: object
      title: ResourcePricing
      required:
        - sysidCurrencyType
        - defaultPrice
        - sysidCostUnitType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidCurrencyType:
              type: integer
              format: int32
            defaultPrice:
              type: boolean
            sysidResourcePricing:
              type: integer
              format: int32
            sysidCostUnitType:
              type: integer
              format: int32
            cost:
              type: number
      example:
        sysidCurrencyType: 12345
        defaultPrice: true
        sysidResourcePricing: 12345
        sysidCostUnitType: 12345
        cost: 12345
    TimeZone:
      type: object
      title: TimeZone
      required:
        - rawOffset
        - DSTSavings
      properties:
        default:
          $ref: '#/components/schemas/TimeZone'
        ID:
          type: string
        availableIDs:
          type: array
          items:
            type: string
        rawOffset:
          type: integer
          format: int32
        displayName:
          type: string
        DSTSavings:
          type: integer
          format: int32
      example:
        default:
          default: {}
          ID: ...
          availableIDs:
            - ...
            - ...
          rawOffset: 12345
          displayName: ...
          DSTSavings: 12345
        ID: ...
        availableIDs:
          - ...
          - ...
        rawOffset: 12345
        displayName: ...
        DSTSavings: 12345
    ResourceScheduleDay:
      type: object
      title: ResourceScheduleDay
      required:
        - openMinutesFromMidnight
        - closedMinutesFromMidnight
        - open24Hours
        - open
        - weekDay
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            openMinutesFromMidnight:
              type: integer
              format: int32
            closedMinutesFromMidnight:
              type: integer
              format: int32
            open24Hours:
              type: boolean
            sysidResourceScheduleDay:
              type: integer
              format: int32
            open:
              type: boolean
            weekDay:
              type: integer
              format: int32
      example:
        openMinutesFromMidnight: 12345
        closedMinutesFromMidnight: 12345
        open24Hours: true
        sysidResourceScheduleDay: 12345
        open: true
        weekDay: 12345
    ApprovalFlow:
      type: object
      title: ApprovalFlow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            name:
              type: string
            approvalSteps:
              type: array
              items:
                $ref: '#/components/schemas/ApprovalStep'
            sysidApprovalFlow:
              type: integer
              format: int32
            requestorGroups:
              type: array
              items:
                $ref: '#/components/schemas/ApprovalFlowRequestorGroup'
            sysidAccount:
              type: integer
              format: int32
      example:
        name: ...
        approvalSteps:
          - sysidApproverGroup: 12345
            sysidApprovalStep: 12345
            approverGroup:
              sysidApproverGroup: 12345
              groupMembers:
                - {}
                - {}
              name: ...
              sysidAccount: 12345
            approveOrder: 12345
          - sysidApproverGroup: 12345
            sysidApprovalStep: 12345
            approverGroup:
              sysidApproverGroup: 12345
              groupMembers:
                - {}
                - {}
              name: ...
              sysidAccount: 12345
            approveOrder: 12345
        sysidApprovalFlow: 12345
        requestorGroups:
          - userGroup:
              resourceAllocations:
                - {}
                - {}
              internalGroup: true
              groupMembers:
                - {}
                - {}
              name: ...
              sysidUserGroup: 12345
              description: ...
            sysidUserGroup: 12345
            sysidFlowRequestorGroup: 12345
          - userGroup:
              resourceAllocations:
                - {}
                - {}
              internalGroup: true
              groupMembers:
                - {}
                - {}
              name: ...
              sysidUserGroup: 12345
              description: ...
            sysidUserGroup: 12345
            sysidFlowRequestorGroup: 12345
        sysidAccount: 12345
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    UserImageData:
      type: object
      title: UserImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserImage:
              type: integer
              format: int32
            defaultImage:
              type: boolean
            thumbnailSource:
              type: string
            width:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            description:
              type: string
            imageSource:
              type: string
            name:
              type: string
            sysidApplicationUser:
              type: integer
              format: int32
      example:
        sysidUserImage: 12345
        defaultImage: true
        thumbnailSource: ...
        width: 12345
        displayOrder: 12345
        height: 12345
        description: ...
        imageSource: ...
        name: ...
        sysidApplicationUser: 12345
    ApprovalStep:
      type: object
      title: ApprovalStep
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidApproverGroup:
              type: integer
              format: int32
            sysidApprovalStep:
              type: integer
              format: int32
            approverGroup:
              $ref: '#/components/schemas/ApprovalApproverGroup'
            approveOrder:
              type: integer
              format: int32
      example:
        sysidApproverGroup: 12345
        sysidApprovalStep: 12345
        approverGroup:
          sysidApproverGroup: 12345
          groupMembers:
            - sysidApproverMember: 12345
              sysidUser: 12345
            - sysidApproverMember: 12345
              sysidUser: 12345
          name: ...
          sysidAccount: 12345
        approveOrder: 12345
    ApprovalFlowRequestorGroup:
      type: object
      title: ApprovalFlowRequestorGroup
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            userGroup:
              $ref: '#/components/schemas/UserGroup'
            sysidUserGroup:
              type: integer
              format: int32
            sysidFlowRequestorGroup:
              type: integer
              format: int32
      example:
        userGroup:
          resourceAllocations:
            - sysidUserGroupAllocation: 12345
              sysidResourceGroup: 12345
              sysidAllocationRelationshipType: 12345
            - sysidUserGroupAllocation: 12345
              sysidResourceGroup: 12345
              sysidAllocationRelationshipType: 12345
          internalGroup: true
          groupMembers:
            - sysidUserGroupMember: 12345
              sysidApplicationUser: 12345
            - sysidUserGroupMember: 12345
              sysidApplicationUser: 12345
          name: ...
          sysidUserGroup: 12345
          description: ...
        sysidUserGroup: 12345
        sysidFlowRequestorGroup: 12345
    ApprovalApproverGroup:
      type: object
      title: ApprovalApproverGroup
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidApproverGroup:
              type: integer
              format: int32
            groupMembers:
              type: array
              items:
                $ref: '#/components/schemas/ApprovalApproverMember'
            name:
              type: string
            sysidAccount:
              type: integer
              format: int32
      example:
        sysidApproverGroup: 12345
        groupMembers:
          - sysidApproverMember: 12345
            sysidUser: 12345
          - sysidApproverMember: 12345
            sysidUser: 12345
        name: ...
        sysidAccount: 12345
    UserGroup:
      type: object
      title: UserGroup
      required:
        - internalGroup
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            resourceAllocations:
              type: array
              items:
                $ref: '#/components/schemas/UserGroupAllocation'
            internalGroup:
              type: boolean
            groupMembers:
              type: array
              items:
                $ref: '#/components/schemas/UserGroupMember'
            name:
              type: string
            sysidUserGroup:
              type: integer
              format: int32
            description:
              type: string
      example:
        resourceAllocations:
          - sysidUserGroupAllocation: 12345
            sysidResourceGroup: 12345
            sysidAllocationRelationshipType: 12345
          - sysidUserGroupAllocation: 12345
            sysidResourceGroup: 12345
            sysidAllocationRelationshipType: 12345
        internalGroup: true
        groupMembers:
          - sysidUserGroupMember: 12345
            sysidApplicationUser: 12345
          - sysidUserGroupMember: 12345
            sysidApplicationUser: 12345
        name: ...
        sysidUserGroup: 12345
        description: ...
    ApprovalApproverMember:
      type: object
      title: ApprovalApproverMember
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidApproverMember:
              type: integer
              format: int32
            sysidUser:
              type: integer
              format: int32
      example:
        sysidApproverMember: 12345
        sysidUser: 12345
    UserGroupAllocation:
      type: object
      title: UserGroupAllocation
      required:
        - sysidResourceGroup
        - sysidAllocationRelationshipType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserGroupAllocation:
              type: integer
              format: int32
            sysidResourceGroup:
              type: integer
              format: int32
            sysidAllocationRelationshipType:
              type: integer
              format: int32
      example:
        sysidUserGroupAllocation: 12345
        sysidResourceGroup: 12345
        sysidAllocationRelationshipType: 12345
    UserGroupMember:
      type: object
      title: UserGroupMember
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserGroupMember:
              type: integer
              format: int32
            sysidApplicationUser:
              type: integer
              format: int32
      example:
        sysidUserGroupMember: 12345
        sysidApplicationUser: 12345

````